import type { AnyZodObject } from 'zod';
import type { CalculateMetadataFunction } from './Composition.js';
import type { InferProps } from './props-if-has-props.js';
import type { VideoConfig } from './video-config.js';
export declare const resolveVideoConfig: ({ calculateMetadata, signal, defaultProps, originalProps, compositionId, compositionDurationInFrames, compositionFps, compositionHeight, compositionWidth, }: {
    compositionId: string;
    compositionWidth: number | null;
    compositionHeight: number | null;
    compositionFps: number | null;
    compositionDurationInFrames: number | null;
    calculateMetadata: CalculateMetadataFunction<InferProps<AnyZodObject, Record<string, unknown>>> | null;
    signal: AbortSignal;
    defaultProps: Record<string, unknown>;
    originalProps: Record<string, unknown>;
}) => VideoConfig | Promise<VideoConfig>;
